[irrtoolset] Segmentation fault on peval

Jan Boogman boogman at ip-plus.net
Wed Nov 2 08:55:42 UTC 2005


Since a few weeks I am experiencing a similar problem with peval 4.8.2 on linux (gentoo 2.6.11 and 2.4.26):

jan at gatekeeper ~ $ peval as-swcmlocal
*** glibc detected *** malloc(): memory corruption: 0x0812eee8 ***
Aborted

for really small as-sets it does work though, as does recursion of as-sets without prefix expansion (i.e peval -no-as <as-set>)

Has anybody been able to fix that??

Regards
Jan


Francesco Ferreri wrote:
> Hi,
> I'm using IRRToolSet-4.8.2 too, on a i386 running Linux (2.4.26). If you 
> think segmentation fault depends on particular OS/libraries 
> configuration, I may try to use FreeBSD/i386 or OpenBSD/Sparc Ultra5 
> instead ... I'll let you know !
> 
> Best regards,
> Francesco Ferreri
> 
> 
> Katie Petrusha wrote:
> 
>> On Thu, Dec 09, 2004 at 12:14:55PM +0100, Francesco Ferreri wrote:
>>
>> Francesco,
>>
>> Which version do you use? This particular set expansion works for me 
>> with peval from IRRToolSet-4.8.2 on Solaris...
>>
> 
> 


More information about the irrtoolset mailing list